1.1
1.1
get /v1/replications
Description
List Volume Replications
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | Volume ID Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicationListResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/replications?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"replications": [
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_frequency": "5min",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"source_volume_access_level": "ro",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1",
"replication_volume_access_level": "ro",
"replication_type": "replication"
}
]
}